class LicenceInfosController < ApplicationController
  protect_with("licence_info", "Licence", RxModule::Authorization.crud(false, :show, :update)) # note that anyone can read the decoded licence token.  We need to read it to decide what features to render.

  def licence
    render json: LicenceInfo.decoded_licence!
  end

  def index
    render json: [LicenceInfo.instance]
  end

  def show
    render json: LicenceInfo.instance
  end

  def update
    LicenceInfo.instance.update(info_params)
    LicenceInfo.get_latest_licence
    render json: LicenceInfo.instance
    RxModuleComponent.ping
  end

  private

  def info_params
    params.require(:licence_info).permit(:licence_code)
  end
end
