import * as React from 'react';
import {ButtonField} from "@rx-suite/ui/build";
import {observer} from "mobx-react-lite";
import {RxModuleComponentStore} from "../../stores/RxModuleComponentStore";

export const ConnectToRxuniverseButton = observer(() => {
    const apps = RxModuleComponentStore.getAll();
    if (RxModuleComponentStore.isLoading) {
        return null;
    }
    const rxuniverseApiModule = apps.find(app => app.module_id === "rx_universe_api");
    if (!rxuniverseApiModule) {
        return null;
    }
    const url = `${rxuniverseApiModule.url}/oauth2/authorize?redirect_url=${window.location.origin}/oauth2/rxuniverse`
    return (
        <ButtonField
            component="a"
            href={url}
            text={"Connect to RxUniverse"}
        />
    )
});