import {attribute, DataStore, model, Model} from '@rx-suite/data/build';
import {t} from "@lingui/macro";

@model({
    transportLayer: "/api/role_permissions",
    eager: true,
    routingInfo: {
        create: "/role_permissions/create",
        update: "/role_permissions/:id/edit",
        read: "/role_permissions/:id"
    }
})
export class RolePermissionModel extends Model {

    @attribute({label: t`Component Permission Id`, autoForm: false})
    component_permission_id = '';

    @attribute({label: t`Role Id`, autoForm: false})
    role_id = '';

    @attribute({label: t`Permitted`, autoForm: false})
    permitted = false;

    @attribute({label: t`Created At`, autoForm: false})
    created_at: Date = new Date();

    @attribute({label: t`Updated At`, autoForm: false})
    updated_at: Date = new Date();

    get asJson() {
        const json = super.toJSON() as RolePermissionModel;
        if(this.isNew) {
            delete json.id
        }
        return json;
    }

}

export const RolePermissionStore = RolePermissionModel.store as unknown as DataStore<RolePermissionModel>;
