import {attribute, DataStore, Model, model} from "@rx-suite/data";
import {t} from "@lingui/macro";
import * as yup from "yup";

@model({
    transportLayer: '/api/time_format_configs',
    permissionTarget: "TimeFormatConfig",
    singleton: true,
    eager: true,
    routingInfo: {
        create: '/time_format_configs/create',
        read: '/time_format_configs/:id/read',
        update: '/time_format_configs/:id/edit'
    }
})

export class TimeFormatConfigModel extends Model {
    @attribute({
        label: t`Time Format`,
        validation: yup.string()
    })
    time_format = "HH:mm:ss";

    @attribute({
        label: t`Date Format`,
        validation: yup.string()
    })
    date_format = "YYYY/MM/DD";

    @attribute({
        label: t`Date Time Separator`,
        validation: yup.string()
    })
    separator = " - ";
}

export const TimeFormatConfigStore = TimeFormatConfigModel.store as unknown as DataStore<TimeFormatConfigModel>;