RxModule.configure do |config|
  config.module_id = "rx_hub"
  config.module_name = "Rx-Hub"
  config.rx_hub_url = "#{!!ENV["SSL_KEY"] ? "https" : "http"}://127.0.0.1:#{ENV["MODULE_PORT"] || (Rails.env.development? ? 3000 : 80)}"
  config.module_description = "Coordinates communication between Rx-Modules"
  config.module_icon = Rails.root.join("public", "icon.svg")
  config.module_logo = Rails.root.join("public", "logo.png")
  config.module_version = JSON.parse(File.read(Rails.root.join("package.json")), create_additions: false, symbolize_names: true)[:version]
end

RxModule::Engine.config.to_prepare do
  RxModule::Communicator.extend! GemExtensions::RxModule::Communicator
  RxModule::Communicator::Hub.extend! GemExtensions::RxModule::Communicator::Hub
end
